:root {
	--nav-height: 50px;
	--nav-bg: rgba(0, 0, 0, 0.15);
	--nav-text-color: rgb(255, 255, 255);
	--nav-bar-link-font-weight: 300;
	--nav-link-hover-bg-color: rgba(0, 0, 0, 0.25);
	--nav-blur-size: 5px;
}

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    height: var(--nav-height);
    background-color: var(--nav-bg);
    z-index: 1000;
    backdrop-filter: blur(var(--nav-blur-size));
    -webkit-backdrop-filter: blur(var(--nav-blur-size));
    box-shadow: none;
}

.navbar span {
    color: var(--nav-text-color);
}

.navbar-container {
    max-width: var(--global-container-width);
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: var(--nav-height);
    padding: 0 1rem;
    position: relative;
}

.navbar-brand {
    text-decoration: none;
}

.navbar-brand .logo {
    height: 30px;
    width: auto;
    display: block;
}


.navbar-toggler {
    display: none;
    flex-direction: column;
    justify-content: center;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.navbar-toggler span {
    height: 2px;
    background: var(--nav-text-color);
    margin: 3px 0;
    border-radius: 1px;
}

.nav-links {
    display: flex;
    font-weight: var(--nav-bar-link-font-weight);
}

.nav-links a {
    color: var(--nav-text-color);
    text-decoration: none;
}

.nav-links a:hover {
    background: var(--nav-link-hover-bg-color);
}

#nav-toggle {
    display: none;
}

@media (max-width: 900px) {
    .navbar-container {
        height: var(--nav-height);
    }

    .navbar-toggler {
        display: flex;
    }

    .nav-links {
        position: absolute;
        top: var(--nav-height);
        left: 0;
        width: 100%;
        flex-direction: column;
        align-items: center;
        background: #00000069;
        overflow: hidden;
        max-height: 0;
        transition: max-height 0.3s ease;
        gap: 0;
    }

    .nav-links a {
        padding: 1rem 0;
        width: 100%;
        text-align: center;
    }

    #nav-toggle:checked~.nav-links {
        max-height: 500px;
    }
}

@media (min-width: 900px) {
    .nav-links a {
        display: flex;
        align-items: center;
        height: var(--nav-height);
        padding: 0 1.5rem;
        transition: background 0.3s ease;
    }
}